$(document).ready(function(){

    $(".questionnaire dd").hide();

    $(".questionnaire dt").click(function(){
        /* next : le frère suivant de chaque élément sélectionné (retourne donc une liste)
         *        en indiquant un sélecteur en paramètre, on ne garde que les frères correspondants à ce filtre
         *        (ici on ne garde que les <dd>, dans le cas où un <dt> serait dépourvu de <dd> immédiatemment frère)
         */
        $(this).next("dd").toggle();
    });

    $(".questionnaire dt").each(function(idx, ele){
        // $(this).html("Q" + (idx+1) + ": " + $(this).html());
        
        $(this).prepend("Q" + (idx+1) + ": ");
        // OU: $(ele).prepend("Q" + (idx+1) + ": ");
        
    });

    $("dl[class!='questionnaire'] dd").hover(
        function (){
            $(this).addClass("highlight");
        },
        function (){
            $(this).removeClass("highlight");
        }
    );

    $("#ajouter").click(function(){
        txtNote = $("#newNote").val();
        note = $("<p>" + txtNote + "</p>");
        $("#notes").append(note);
    });

    /*
    $("#notes p").hover(
        function (){
            $(this).addClass("warning");
        },
        function (){
            $(this).removeClass("warning");
        }
    );
    */

    $("#notes p").live("mouseover", function (){
        $(this).addClass("warning");
    });
    $("#notes p").live("mouseout", function (){
        $(this).removeClass("warning");
    });
   

});


